Installation

- « FastCGI Process Manager (FPM)

- Configuration »

- PHP Manual
- FastCGI Process Manager (FPM)
- Installation

## Installation

### Compiling from sources

In order to enable FPM in your PHP build you need to add `--enable-fpm` to your configure line.

There are several other FPM-specific configure options (all of them optional):

- `--with-fpm-user` - set FPM user (default - nobody).

- `--with-fpm-group` - set FPM group (default - nobody).

- `--with-fpm-systemd` - Activate systemd integration (default - no).

- `--with-fpm-acl` - Use POSIX Access Control Lists (default - no).

- `--with-fpm-apparmor` - Activate AppArmor integration (default - no).

- `--with-fpm-selinux` - Activate SELinux integration (default - no).

### Changelog

Version | Description
--- | ---
8.2.0 | The `--with-fpm-selinux` option was added.
8.0.0 | The `--with-fpm-apparmor` option was added.